QScintilla: QsciLexerTeX Class Reference

# QsciLexerTeX Class Reference

The QsciLexerTeX class encapsulates the Scintilla TeX lexer. More...

`#include <qscilexertex.h>`

Inherits QsciLexer.

List of all members.

## Public Types

- enum {
  Default = 0, Special = 1, Group = 2,
  Symbol = 3, Command = 4, Text = 5
  }

## Public Member Functions

- QsciLexerTeX (QObject *parent=0)
- virtual ~QsciLexerTeX ()
- const char * language () const
- const char * lexer () const
- const char * wordCharacters () const
- QColor defaultColor (int style) const
- const char * keywords (int set) const
- QString description (int style) const
- void refreshProperties ()
- void setFoldComments (bool fold)
- bool foldComments () const
- void setFoldCompact (bool fold)
- bool foldCompact () const
- void setProcessComments (bool enable)
- bool processComments () const
- void setProcessIf (bool enable)
- bool processIf () const

## Protected Member Functions

- bool readProperties (QSettings &qs, const QString &prefix)
- bool writeProperties (QSettings &qs, const QString &prefix) const

## Detailed Description

The QsciLexerTeX class encapsulates the Scintilla TeX lexer.

## Member Enumeration Documentation

anonymous enum

This enum defines the meanings of the different styles used by the TeX lexer.

Enumerator:

  Default | The default.
  Special | A special.
  Group | A group.
  Symbol | A symbol.
  Command | A command.
  Text | Text.

## Constructor & Destructor Documentation

QsciLexerTeX::QsciLexerTeX | ( | QObject * | parent = `0` | ) |

Construct a QsciLexerTeX with parent parent. parent is typically the QsciScintilla instance.

## Member Function Documentation

const char* QsciLexerTeX::lexer | ( |  | ) | const`[virtual]`

Returns the name of the lexer. Some lexers support a number of languages.

Reimplemented from QsciLexer.

const char* QsciLexerTeX::keywords | ( | int | set | ) | const`[virtual]`

Returns the set of keywords for the keyword set set recognised by the lexer as a space separated string.

Reimplemented from QsciLexer.

QString QsciLexerTeX::description | ( | int | style | ) | const`[virtual]`

Returns the descriptive name for style number style. If the style is invalid for this language then an empty QString is returned. This is intended to be used in user preference dialogs.

Implements QsciLexer.

void QsciLexerTeX::refreshProperties | ( |  | ) | `[virtual]`

Causes all properties to be refreshed by emitting the propertyChanged() signal as required.

Reimplemented from QsciLexer.

void QsciLexerTeX::setFoldComments | ( | bool | fold | ) |

If fold is true then multi-line comment blocks can be folded. The default is false.

See also:
  foldComments()

bool QsciLexerTeX::foldComments | ( |  | ) | const`[inline]`

Returns true if multi-line comment blocks can be folded.

See also:
  setFoldComments()

void QsciLexerTeX::setFoldCompact | ( | bool | fold | ) |

If fold is true then trailing blank lines are included in a fold block. The default is true.

See also:
  foldCompact()

bool QsciLexerTeX::foldCompact | ( |  | ) | const`[inline]`

Returns true if trailing blank lines are included in a fold block.

See also:
  setFoldCompact()

void QsciLexerTeX::setProcessComments | ( | bool | enable | ) |

If enable is true then comments are processed as TeX source otherwise they are ignored. The default is false.

See also:
  processComments()

bool QsciLexerTeX::processComments | ( |  | ) | const`[inline]`

Returns true if comments are processed as TeX source.

See also:
  setProcessComments()

void QsciLexerTeX::setProcessIf | ( | bool | enable | ) |

If enable is true then \if<unknown> processed is processed as a command. The default is true.

See also:
  processIf()

bool QsciLexerTeX::processIf | ( |  | ) | const`[inline]`

Returns true if \if<unknown> is processed as a command.

See also:
  setProcessIf()

bool QsciLexerTeX::readProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | `[protected, virtual]`

The lexer's properties are read from the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.

bool QsciLexerTeX::writeProperties | ( | QSettings & | qs,
|  | const QString & | prefix |
| ) |  |  | const`[protected, virtual]`

The lexer's properties are written to the settings qs. prefix (which has a trailing '/') should be used as a prefix to the key of each setting. true is returned if there is no error.

Reimplemented from QsciLexer.